Create Menu Cycle Schedule

Creates a new instance of a menu cycle schedule.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Courses and Recipes

Courses have an index number that indicates their position within the menu. These numbers must start from 0 and increase by 1 for each course.

The planned_recipes object is a dictionary with incremental index numbers as keys, representing the sequential week number within the cycle. These index numbers must be less than the cycle's duration_in_weeks. Below is the generic definition of this object:

{ 
  "$week_number": { 
    "$weekday": [
      { 
        "recipe": "$recipe_id", 
        "quantity_of_portions": "$quantity_of_portions"
      }
    ] 
  }
}

The valid weekday values that can be used for keys in the week object are the names of the days of the week in English: Monday, Tuesday, Wednesday, Thursday, Friday, Saturday, Sunday.

To view a concrete example, select the pre-created example on the right-hand side of this page.

Body Params
string
required

The name of the menu cycle schedule. The max length is 100 characters.

date
required

The start date of the menu cycle schedule.

int32
required

The duration of the menu cycle schedule in weeks. Must be between 1 and 15.

int32
required

The number of cycles in the menu cycle schedule. Must be between 1 and 100. It's required if end_date is not provided.

date

The end date of the menu cycle schedule. It's required if number_of_cycles is not provided.

int32

The number of weeks between each cycle start date. If not provided, each cycle will start after the end of the previous cycle. Must be between 1 and 16.

string
enum
Defaults to Draft

The status of the menu cycle schedule

Allowed:
string

The description of the menu cycle schedule. The max length is 255 characters.

outlets
array of strings
required

A list of outlet IDs to be linked to the menu cycle schedule.

outlets*
courses
array of objects
required

The courses and planned recipes of the menu cycle schedule.

courses*
json
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json